### Name: xmlTreeView
### Title: Display a GUI tree representing an XML hierarchy
### Aliases: xmlTreeView
### Keywords: GUI

### ** Examples

   # basic view that uses the xmlName() value of a node.
  xmlTreeView("http://www.ggobi.org/data/flea.xml")

   # customized view that uses the xmlName() and class of the node
  xmlTreeView("http://www.ggobi.org/data/flea.xml",
               createItem = function(x)
                               gtkTreeItem(paste(xmlName(x), class(x)[1], sep=":"))) 

   # basic view that uses the xmlName() value of a node.
  xmlTreeView("http://www.ggobi.org/data/flea.xml",
               createItem = function(x) {
                              it <- gtkTreeItem(xmlName(x))
                              if(inherits(x, "XMLTextNode"))
                                it$AddCallback("select",
                                                function(node, w) {
                                                  print(xmlValue(node))
                                                }, data = x)
                              it
                            })



